#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--download-fblaslapack',
    '--download-hypre',
    '--download-metis',
    '--download-mpich',
    '--download-parmetis',
    '--prefix=/opt/petsc',
    '--with-debugging=0',
    'CC=clang-8',
    'COPTFLAGS=-O2',
    'CXX=clang++-8',
    'CXXOPTFLAGS=-O2',
    'FOPTFLAGS=-O2',
    'PETSC_ARCH=docker-opt',
  ]
  configure.petsc_configure(configure_options)
